Skript für Tabs am unteren Rand des Monitors funktioniert nicht mehr

Du benötigst Hilfe bezüglich Firefox? Bitte stelle deine Frage im öffentlichen Bereich des Forums und nicht per Konversation an wahllos ausgesuchte Benutzer. Wähle dazu einen passenden Forenbereich, zum Beispiel „Probleme auf Websites“ oder „Erweiterungen und Themes“ und klicke dann rechts oben auf die Schaltfläche „Neues Thema“.
  • Jetzt nochmal die Frage. Hast du Firefox in einem ganz neuen Installationsverzeichnis installiert? Schaue nach, ob es dort den Ordner userChromeJS gibt. Wenn nicht, musst du erst einmal die Vorbereitungen zum Benutzen von Skripten neu treffen. siehe dazu Beitrag #19.


    OK, da hat sich ein bisschen etwas überschnitten.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • ja ist alles da wo es soll und wie gesagt die userscripte laufen ja seit Version 89 bei mir ohne Probleme bis heute zum Update.


    Den Part mit den Scripten habe ich schon lange verstanden mit der vorbeereitung ;)


    aber nur ab Version 92 nebend nicht mehr ?



    ich habe nur einmal Firefox installiert

  • Und du hast die utilities.js auch aktualisiert? Wie gesagt, die in Beitrag #17 ist veraltet. Hier jetzt nochmal die aktuelle:


    In den Zeilen 113 und 142 muss getURLSpecFromActualFile stehen.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • jetzt hat es geklappt.

    iich habe kopiert wie ein blöder im Notepad++ den Code rein, abgespeichert, Datei umbenannt, Datei an einen anderen Ort kopiert und umbenannt und wieder zurück kopiert usw.


    es wurde einfach nicht gepsichert im Notepad++ der neue CSS Code.


    Jetzt wo ich die Zeile 113 und 142 geändert habe und gepeichert habe, hat es funktioniert.


    komisch jedenfalls das er den kompletten Code nin der Datei nicht gepsichert hat aber wenn ich nur die änderung gemacht habe das es gespciehrt wird.


    Naja besten Dank jedenfalls für die Zeilen angaben was geändert wurde.

  • Jetzt wo ich die Zeile 113 und 142 geändert habe und gepeichert habe, hat es funktioniert.

    Darauf kam es an. Denn die Änderung in diesen Zeeilen waren genau der Grund, warum die utilities.js geändert werden musst, damit Skripte überhaupt noch funktionieren.

    iich habe kopiert wie ein blöder im Notepad++ den Code rein, abgespeichert, Datei umbenannt, Datei an einen anderen Ort kopiert und umbenannt und wieder zurück kopiert usw.

    Warum so kompliziert. Du hättest bloß die bisherige utitilities.js im Installationsverzeichnis öffnen müssen, den alten Text ganz auswählen und den neuen Text hineinkopieren, also überschreiben. Umbenennen war gar nicht nötig. Wir haben dir das vollständige Überschreiben des alten Texts nur angeboten, damit du in der alten utilities.js nicht die Stellen suchen musst, wo du da händisch etwas ändern musst. Manuelles Ändern ist auch gefährlicher, da beim Ändern wieder neue Fehler entstehen können.


    es wurde einfach nicht gepsichert im Notepad++ der neue CSS Code.

    Es handelt sich um ein Skript, nicht um CSS-Code.

    komisch jedenfalls das er den kompletten Code nin der Datei nicht gepsichert hat aber wenn ich nur die änderung gemacht habe das es gespciehrt wird.

    Wenn du wirklich vorher richtig kopiert hättest, hättest du nicht die Zeilen einzeln ändern brauchen.


    Naja besten Dank jedenfalls für die Zeilen angaben was geändert wurde.

    Gern geschehen. Ende gut, alles gut. :)

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • welcher Schreibschutz ?

    Der Ordner userChromeJS könnte schreibgeschützt sein.


    Probiere mal das aus dem Beitrag hinter diesem Link:


    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Ich habe mir mal die firefox-anpassungen.zip von Endors Seite heruntergeladen und sie entpackt. Tatsächlich, die beiden Ordner chrome und userChromeJS sind dort schon schreibgeschützt. Es betrifft also die Datei userChrome.js im dortigen Ordner chrome und die Dateien main.js, readme.txt und utilities.js im Ordner userChromeJS. Da der Inhalt der firefox-anpassungen.zip nach dem Herunterladen einfach an die zugehörgen Stellen im Installationsverzeichnis bzw. Profil kopiert wird, bleiben die gesetzten Dateiattribute/Ordnerattribute erhalten.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • ich habe mir es auch Notirt diesmal mit dem Schreibschutz ;)


    achso und ich meinte die Datei ist nicht Schreibgeschützt.

    Sorry..Danke für die Arbeit milupo. jedenfalls weis man jetzt woher der Schreibschutz kommt.